| Home | Libraries | People | FAQ | More

## Function range_end

boost::xpressive::range_end — `range_end()` to make `sub_match<>` a valid range

## Synopsis

    // In header: <boost/xpressive/sub_match.hpp>

    template<typename BidiIter> BidiIter range_end(sub_match< BidiIter > & sub);
    template<typename BidiIter>
      BidiIter range_end(sub_match< BidiIter > const & sub);

## Description

Parameters: |
`sub` | the ``sub_match`<>` object denoting the range
Requires: | `sub.second` is not singular
Returns: | `sub.second`